org.modeshape.sequencer.sramp

## Class AbstractSrampSequencer

- java.lang.Object
- - org.modeshape.jcr.api.sequencer.Sequencer
  - - org.modeshape.sequencer.sramp.AbstractSrampSequencer

- Direct Known Subclasses:
    WsdlSequencer, XsdSequencer

      public abstract class AbstractSrampSequencer
      extends Sequencer

  Base class for sequencers which are based on the S-RAMP specification.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.modeshape.jcr.api.sequencer.Sequencer

      `Sequencer.Context`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractSrampSequencer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `initialize(NamespaceRegistry registry, NodeTypeManager nodeTypeManager)` Initialize the sequencer.

    - ### Methods inherited from class org.modeshape.jcr.api.sequencer.Sequencer

      `execute, getAcceptedMimeTypes, getLogger, getName, getPathExpressions, getRepositoryName, getUniqueId, hasAcceptedMimeTypes, isAccepted, registerDefaultMimeTypes, registerNamespace, registerNodeTypes, registerNodeTypes, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractSrampSequencer

          public AbstractSrampSequencer()

  - ### Method Detail

    - #### initialize

          public void initialize(NamespaceRegistry registry,
                        NodeTypeManager nodeTypeManager)
                          throws RepositoryException,
                                 IOException

      Description copied from class: `Sequencer`
      Initialize the sequencer. This is called automatically by ModeShape once for each Sequencer instance, and should not be called by the sequencer.

      By default this method does nothing, so it should be overridden by implementations to do a one-time initialization of any internal components. For example, sequencers can use the supplied `registry` and `nodeTypeManager` objects to register custom namesapces and node types required by the generated content.

      Overrides:
        `initialize` in class `Sequencer`
      Parameters:
        `registry` - the namespace registry that can be used to register custom namespaces; never null
        `nodeTypeManager` - the node type manager that can be used to register custom node types; never null
      Throws:
        `RepositoryException` - if operations on the `NamespaceRegistry` or `NodeTypeManager` fail
        `IOException` - if any stream based operations fail (like importing cnd files)

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.